import * as React from 'react';
import { allIcons } from '../../components/icons';
import UIHelper from '../UIHelper';
import { Box } from '../../components/Flex';
export const ActiveAlertsPanelItemLabel = (props) => {
    const iconColor = UIHelper.getColorByMessageType(props.data.alertDefinition.MessageType);
    const iconStyle = {
        color: iconColor,
        fill: iconColor,
    };
    const iconName = UIHelper.getGlyphByMessageType(props.data.alertDefinition.MessageType);
    const IconCmp = allIcons[iconName];
    const icon = IconCmp ? React.createElement(IconCmp, null) : null;
    return (React.createElement(Box, null,
        React.createElement(Box, { className: "twa:float-left", style: iconStyle }, icon),
        props.data.header));
};
